# Test: Empty prompts array
# Expected: PASS - empty array valid for optional field

agent:
  metadata:
    id: empty-prompts
    name: Empty Prompts
    title: Empty Prompts
    icon: 🧪
    hasSidecar: false

  persona:
    role: Test agent with empty prompts
    identity: I am a test agent with empty prompts array.
    communication_style: Clear
    principles:
      - Test empty arrays

  prompts: []

  menu:
    - trigger: help
      description: Show help
      action: display_help
